
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>XML配置文件的读取(sax) / iVAN</title>

    <meta name="description" content="XML配置文件的读取(sax) xml   在最近的一个MIS项目中,为了避免硬编码,我需要把一些配置信息写在一个配置文件中.考虑到是J2EE项目,J2EE的配置文件好像都是xml文件了,再用传统ini文件是不是有点落伍了?ok,就用xml做配置文件吧.我的配置文件reportenv.xml如下,比较简单: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;&lt;reportenv&gt;&lt;datasource&gt;&lt;username ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">XML配置文件的读取(sax)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>xml</p>
<p>  <br />在最近的一个MIS项目中,为了避免硬编码,我需要把一些配置信息写在一个配置文件中.考虑到是J2EE项目,J2EE的配置文件<br />好像都是xml文件了,再用传统ini文件是不是有点落伍了?<br />ok,就用xml做配置文件吧.<br />我的配置文件reportenv.xml如下,比较简单:</p>
<p>&lt;?xml version="1.0" encoding="utf-8"?&gt;<br />&lt;reportenv&gt;<br />&lt;datasource&gt;<br />&lt;username&gt;sqlname&lt;/username&gt;<br />&lt;password&gt;password&lt;/password&gt;<br />&lt;/datasource&gt;<br />&lt;/reportenv&gt;</p>
<p>现在的问题是我用什么来读取配置信息?<br />现在流行的是dom4j和sax,我以前一直用dom4j.可是weblogic workshop自带的是sax,我又不想再引入包了,于是就是sax吧.<br />第一步:ConfigParser.java<br />/*<br /> * Create Date: 2005-6-13 <br /> * Create By: 板桥里人<br /> * purpose:xml配置文件属性读取器<br /> */<br />package com.infoearth.report;</p>
<p>import org.xml.sax.Attributes;<br />import org.xml.sax.helpers.DefaultHandler;<br />import org.xml.sax.SAXException; <br />import java.util.Properties;</p>
<p>public class ConfigParser extends DefaultHandler {</p>
<p>    ////定义一个Properties 用来存放属性值<br />    private Properties props;</p>
<p>    private String currentSet;<br />    private String currentName;<br />    private StringBuffer currentValue = new StringBuffer();</p>
<p>    //构建器初始化props<br />    public ConfigParser() {</p>
<p>        this.props = new Properties();<br />        }</p>
<p>    public Properties getProps() {<br />        return this.props;<br />        }</p>
<p>    //定义开始解析元素的方法. 这里是将&lt;xxx&gt;中的名称xxx提取出来.<br />    public void startElement(String uri, String localName, String qName, Attributes attributes) <br />    throws SAXException {<br />        currentValue.delete(0, currentValue.length());<br />        this.currentName =qName;<br />        }</p>
<p>    //这里是将&lt;xxx&gt;&lt;/xxx&gt;之间的值加入到currentValue<br />    public void characters(char[] ch, int start, int length) throws SAXException { <br />        currentValue.append(ch, start, length);<br />        }</p>
<p>    //在遇到&lt;/xxx&gt;结束后,将之前的名称和值一一对应保存在props中<br />    public void endElement(String uri, String localName, String qName) throws SAXException {<br />        props.put(qName.toLowerCase(), currentValue.toString().trim());<br />        }</p>
<p>    }<br />    <br /> 第二步:ParseXML.java<br /> /*<br /> * Create Date: 2005-6-13 <br /> * Create By: 板桥里人 李春雷修改<br /> * purpose:xml配置文件属性读取器(通用),<br /> */<br /> <br />package com.infoearth.report;</p>
<p>import java.util.Properties;<br />import javax.xml.parsers.SAXParser;<br />import javax.xml.parsers.SAXParserFactory;<br />import java.net.URL;</p>
<p>public class ParseXML{<br />    //定义一个Properties 用来存放属性值<br />    private Properties props;</p>
<p>    public Properties getProps() {<br />        return this.props;<br />        }</p>
<p>    public void parse(String filename) throws Exception {<br />        //将我们的解析器对象化<br />        ConfigParser handler = new ConfigParser();<br />        //获取SAX工厂对象<br />        SAXParserFactory factory = SAXParserFactory.newInstance();<br />        factory.setNamespaceAware(false);<br />        factory.setValidating(false);<br />        //获取SAX解析<br />        SAXParser parser = factory.newSAXParser();<br />        try{<br />            //将解析器和解析对象xml联系起来,开始解析 <br />            parser.parse(filename, handler);<br />            //获取解析成功后的属性<br />            props = handler.getProps();<br />            }finally{<br />                factory=null;<br />                parser=null;<br />                handler=null;<br />                }<br />        }<br />    }<br />第三步:ReadConfigXml.java<br />/*<br /> * Create Date: 2005-6-13 <br /> * Create By: 李春雷<br /> * purpose:xml配置文件属性读取器<br /> */</p>
<p>package com.infoearth.report;</p>
<p>import java.util.Properties;</p>
<p>public class ReadConfigXml <br />{<br />    private Properties props;<br />    <br />    public ReadConfigXml(String url){<br />  ParseXML myRead = new ParseXML();<br />   try {<br />    myRead.parse(url);<br />                props = new  Properties(); <br />                props = myRead.getProps();<br />   } catch (Exception e) {<br />    e.printStackTrace();<br />   }      <br />        }<br />   public  String getUserName(){<br />        return props.getProperty("username");<br />        }        <br />   public String getPassWord(){<br />        return props.getProperty("password");<br />    }</p>
<p>}</p>
<p>ok,搞定了,读取的时候如下:<br />ReadConfigXml xmlread = new ReadConfigXml("reportenv.xml");<br />String username = xmlread.getUserName();<br />String password = xmlread.getPassWord();</p>
<p>前两个类实现了xml文档属性设置的任意读取.只要是xml的属性值,都读到了property中,你只需在property中提取就可以了.<br />第三个类是我针对我的xml文件写的,似乎有点多余.呵呵.其实有难言之隐.因为不想过多的改动以前的程序架构,就画蛇添<br />足了一下.</p>
<p>另外,感谢j道,感谢板桥里人.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 13:27:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/properties/" title="properties">properties</a>, <a href="https://www.iamivan.net/tag/sax/" title="sax">sax</a>, <a href="https://www.iamivan.net/tag/saxparser/" title="saxparser">saxparser</a>, <a href="https://www.iamivan.net/tag/props/" title="props">props</a>, <a href="https://www.iamivan.net/tag/java%e8%8e%b7%e5%8f%96properties/" title="java获取properties">java获取properties</a>, <a href="https://www.iamivan.net/tag/java%e8%af%bb%e5%8f%96xml%e6%96%87%e4%bb%b6/" title="java读取xml文件">java读取xml文件</a>, <a href="https://www.iamivan.net/tag/properties%e9%85%8d%e7%bd%ae%e6%96%87%e4%bb%b6/" title="properties配置文件">properties配置文件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>XML配置文件的读取(sax)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrGOmp.html" rel="bookmark">XML配置文件的读取处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml XML配置文件的读取处理板桥里人 jdon.com 2002/2 Java和XML是黄金组合,网上已经有很多文章介绍,XML作为电子商务中数据交换,已经有其不可替代的作用,但是在平时系统开发中,我们不一定都用到数据交换,是不是无法使用XML了? 当然不是,现在已经有一个新趋势,java程序的配置文件都开始使用XML格式,以前是使用类似windows的INI格式.(Java中也有 Propertiesy这样的类专门处理这样的属性配置文件).使用XML作为Java的配置文件有很多好处,从To			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jdRPb.html" rel="bookmark">Java中XML配置文件的读取处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java和XML是黄金组合,网上已经有很多文章介绍,XML作为电子商务中数据交换,已经有其不可替代的作用,但是在平时系统开发中,我们不一定都用到数据交换,是不是无法使用XML了? 当然不是,现在已经有一个新趋势,Java程序的配置文件都开始使用XML格式,以前是使用类似Windows的INI格式(Java中也有Propertiesy这样的类专门处理这样的属性配置文件).使用XML作为Java的配置文件有很多好处,从Tomcat的安装配置文件和J2EE的配置文件中,我们已经看到XML的普遍应用,让			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmaaAz.html" rel="bookmark">xml加密-spring 在读取加密后的xml配置文件的时候&comma;怎么spring先解密再读取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring 在读取加密后的xml配置文件的时候,怎么spring先解密再读取 小弟新手求各位大神帮帮忙======================= 解决方案 首先要把加密配置文件先单独解密成明文,然后把明文配置文件拷贝到项目的类路径下,修正spring的配置信息. 解密操作不能作为web工程的某个模块,因为spring的应用是先要加载配置的.所以这个解密步骤必须是独立.而且先进行的操作.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlBlDz.html" rel="bookmark">Ibatis XML 配置文件注释引起错误及解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ibatis XML 配置文件注释引起错误及解决方案 最近在使用Ibatis组件进行一个项目开发,在运行时发现提示如下错误信息: type 异常报告 消息 描述服务器遇到一个内部错误 (), 无法完成此请求. 异常 javax.servlet.ServletException: java.lang.ExceptionInInitializerError根本原因 java.lang.ExceptionInInitializerError根本原因 java.lang.RuntimeException			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp50J7M.html" rel="bookmark">用Applet读写XML配置文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml 此小程序用DOM来读取XML文件,用DOM4j来写XML文件.DOM4j下载地址:http://sourceforge.net/projects/dom4j1.Applet主程序mainFrame.java package frame; /** * @author wls */import java.applet.*; import java.awt.*;import java.awt.event.*; public class mainFrame extends Applet { Do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zO7EQz.html" rel="bookmark">在C&num;中使用XML指南之读取XML</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml 对于XML,想必各位都比较了解,我也就不用费笔墨来描述它是什么了,我想在未来的Web开发中XML一定会大放异彩,XML是可扩展标记语言,使用它企业可以制定一套自己的数据格式,数据按照这种格式在网络中传输然后再通过XSLT将数据转换成用户期望的样子表示出来,这样便轻易的解决了数据格式不兼容的问题.用于Internet的数据传输,我想,这是XML对于我们这些程序员最诱人的地方! 我们今天的主题不是论述XML的好处,而是讨论在C#中如何使用XML.下面我们来了解一下使用程序访问XML的一些基础			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8L3jb.html" rel="bookmark">AndroidManifest&period;xml配置文件解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AndroidManifest.xml配置文件对于Android应用开发来说是非常重要的基础知识,本文旨在总结该配置文件中重点的用法,以便日后查阅.下面是一个标准的AndroidManifest.xml文件样例. 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;manifest&gt; &lt;!-- 基本配置 --&gt; &lt;uses-permission /&gt; &lt;permi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLJ74kb.html" rel="bookmark">怎样通过XML保存和读取程序的设置呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎样通过XML保存和读取程序的设置呢? 解决方案 解决方案二:哪位老兄说说!?解决方案三:参考下如下:'读XMLgdsConfig.ReadXml(gstrIniFileName)'XML文件路径TrygstrCompanyName=gdsConfig.Tables(&quot;Registration&quot;).Rows(0)(&quot;CompanyName&quot;)gstrServerIP=gdsConfig.Tables(&quot;socket&quot;).Rows(0)(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeal5wz.html" rel="bookmark">AndroidManifest&period;xml配置文件解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AndroidManifest.xml配置文件对于Android应用开发来说是非常重要的基础知识,本文旨在总结该配置文件中重点的用法,以便日后查阅.下面是一个标准的AndroidManifest.xml文件样例. 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;manifest&gt; &lt;!-- 基本配置 --&gt; &lt;uses-permission /&gt; &lt;permi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq4Rbm.html" rel="bookmark" class="title">PMP九大管理快捷记忆</a>
					<div>
						九大管理: 狗子整范进,成人风采 沟通.质量.整体.范围.进度,成本.人资.风险.采购 整体管理:程书计划,指管执行,监控整变,项目收尾 [成熟计划,只管执行,监控正变,最后收尾] 1.     项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlmyOp.html" rel="bookmark" class="title">第九章 关系映射 组件关联映射</a>
					<div>
						组件是针对同一张表中的字段进行映射,作用是将字段多的一张表分成多个实体类来表示. 如:name与user user表中有first_name及last_name.在实体类中,自定义一个Name类来表示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM67wgp.html" rel="bookmark" class="title">PS教程&colon;使用960栅格系统设计网站界面</a>
					<div>
						本教程我们将学习如何使用960栅格系统设计网站界面.该栅格系统会优化网站设计流程.最终效果预览 [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [11]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNoNxp.html" rel="bookmark" class="title">使用表单集合建立SQL语句4</a>
					<div>
						集合|语句 复选框 最后一个要考虑的事是,如何处理HTML的复选框.如果HTML表单中的复选框没有被选中,它就不会在request.form集合中出现.如果您使用复选框在数据库中设置真/假值,就会造成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXYm5z.html" rel="bookmark" class="title">做好这些 新站也可以有权重</a>
					<div>
						对于每一个站点而言,都是从新站做起的,无论它现在是怎样的成功.所以在我们从网站起步的时候就应该很清楚的去考虑到我们站点的各项SEO策略,只有这样才能使其网站从开始就得到搜索引擎的青睐,那样自然会比起其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91JlkM.html" rel="bookmark" class="title">数据结构学习&lpar;C&plus;&plus;&rpar;之单链表</a>
					<div>
						节点类 #ifndef Node_H#define Node_Htemplate &lt;class Type&gt; class Node //单链节点类{ public: Type data; N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2PvyM.html" rel="bookmark" class="title">Photoshop合成唯美的秋季婚片</a>
					<div>
						  Photoshop合成唯美的秋季婚片         最终效果 1.新建一个1024 * 650像素,分辨率为96像素的文件,背景填充任意颜色. &lt;图1&gt; 2.打开树林素材,用仿制图章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL34ab.html" rel="bookmark" class="title">PS合成一幅废墟中的没落城市风景教程</a>
					<div>
						为大家介绍在photoshop中制作一幅被黑暗力量包围的城市 photoshop教程 1.首先在photohshop中打开树林素材,然后按下Ctrl+J复制一次,执行&quot;图层-新建调整图层-渐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PJ6JM.html" rel="bookmark" class="title">PPT如何直接播放视频</a>
					<div>
						  这种播放方法是将事先准备好的视频文件作为电影文件直接插入到幻灯片中,该方法是最简单.最直观的一种方法,使用这种方法将视频文件插入到幻灯片中后,PowerPoint只提供简单的[暂停]和[继续播放] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrY0lp.html" rel="bookmark" class="title">中文网页设计分享第一弹《banner设计篇》</a>
					<div>
						很多同学都觉得做banner无非就是摆几张图,打几个字的事,一点技术含量都没有,像很多门户网站的banner基本上都是编辑做的.我觉得没那么简单,其实一个banner可以研究的东西还是很多的,而且做一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBGRLb.html" rel="bookmark" class="title">Photoshop制作大气的欧美褐色婚片技巧</a>
					<div>
						作者的调色思路非常不错.过程:调色之前可以先把高光及暗部分离,高光单独调色,暗部也可以自由调色;然后把整体颜色调融合;后期美化人物,用画笔等给局部上色即可. 原图 最终效果 1.加强植物色彩反差: 新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eeBgb.html" rel="bookmark" class="title">PHP实现数据结构中的排序算法</a>
					<div>
						  冒泡排序 [基本原理] 相邻两数依次比较,将小数放在前面,大数放在后面.第一趟结束,将最大的数放到了最后.第二趟结束,将最大的数放到了倒数第二.依次一直下去,直至最终完成排序. 冒泡排序,只需要使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLJ6db.html" rel="bookmark" class="title">word邮件合并方法</a>
					<div>
						本教程为大家介绍word中的邮件合并功能,并举例说明操作方法. 每天见面的word中有许多功能没有用过也不会用,而会了之后却又遗忘了.Word2003中的邮件合并功能相信很多人都没使用过,下面,以制作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY5XoM.html" rel="bookmark" class="title">CPU水冷散热器大揭秘&lpar;单排双排散热区别&rpar;</a>
					<div>
						  不知道大家有没有感觉到,近一两年的DIY硬件领域,CPU水冷散热器有种越来越火的趋势.上网查一查就知道了,目前许多厂商都推出了CPU水冷散热器,其中不乏大陆厂商的身影. CPU水冷散热器近年来为什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/p8Z8Eob.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAzMDYxMDE1MjMyMzQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/p8Z8Eob.html" rel="bookmark" class="title">Dev gridcontrol 捕获按键事件</a>
					<div>
						作者:jiankunking 出处:http://blog.csdn.net/jiankunking 控件自带方法位置: 代码: private void ViewHtlb_KeyDown(objec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6AjDz.html" rel="bookmark" class="title">网页-页面显示&amp;amp&semi;amp&semi;lt&semi;&percnt;&commat; page contentType&equals;</a>
					<div>
						问题描述 页面显示&lt;%@ page contentType= 求助:IE中显示正常的JSP页面,为什么用360极速浏览器时,页面第一行显示&lt;%@ page contentType=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZYyAp.html" rel="bookmark" class="title">GDS全球域名峰会将于2017年7月7日厦门开启</a>
					<div>
						GDS(GlobalDomainSummit)全球域名峰会将于2017年7月7日在中国域名之都厦门开启.峰会是由百度云.阿里云.GoDaddy.誉名网等域名行业领军企业.域名行业领袖.业界专家共同举办 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgReq5b.html" rel="bookmark" class="title">spark-在Spark SQL中，列名为敏感词汇时如何处理？</a>
					<div>
						问题描述 在Spark SQL中,列名为敏感词汇时如何处理? 有一张表,其第二列的列名为first.在运行SQL语句select first from tablename时老是报错,原因是把first ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z6wgM.html" rel="bookmark" class="title">紫光集团重组风波升级 旺达网欲起诉紫光集团</a>
					<div>
						事实上,&quot;紫光重组争议&quot;行至此时,更需要有关部门的裁决. 紫光集团重组一事风波不断,历时已近一年,近日,当事人之间冲突逐步升级.4月6日,一直对紫光集团重组一事持异议的紫光集团小股 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0v3DM.html" rel="bookmark" class="title">javascript-JavaScript 表格   排序问题</a>
					<div>
						问题描述 JavaScript 表格 排序问题 用JavaScript在HTML界面上输出了一个表格,如图所示.现在的想法是单击&quot;Life&quot;单元格,可以实现对表格的排序,&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xdPKb.html" rel="bookmark" class="title">VS&period;NET2005报DEVENV&period;EXE应用程序错误</a>
					<div>
						问题描述 VS.NET2005中编辑控件属性,编辑VS就重启调试报DEVENV.EXE应用程序错误.在0x00000000处未处理的异常:读取0x00000000位位置时发生冲突上网看了看,有人说要重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn6QBM.html" rel="bookmark" class="title">计算机改名导致数据库链接的诡异问题</a>
					<div>
						  前几天给开发部门部署测试数据库时,遇到一个很诡异的问题:创建一个链接服务器GEK-MIS01时,报错如下: 消息 15190,级别 16,状态 1,过程 sp_dropserver,第 56 行  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWdBkz.html" rel="bookmark" class="title">Bootstrap3制作图片轮播效果&lowbar;javascript技巧</a>
					<div>
						先来看看Bootstrap图片轮播效果: 上面就是为大家分享的效果,不过这是网易云音乐的首页. 这样的效果记得最先在ios7的官方控件库中出现之后安卓也在某个版本加入了这个view,设计是通用的啊.. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn9x5p.html" rel="bookmark" class="title">探究MySQL优化器对索引和JOIN顺序的选择&lowbar;Mysql</a>
					<div>
						本文通过一个案例来看看MySQL优化器如何选择索引和JOIN顺序.表结构和数据准备参考本文最后部分&quot;测试环境&quot;.这里主要介绍MySQL优化器的主要执行流程,而不是介绍一个优化器的各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ76LM.html" rel="bookmark" class="title">《21天学通Java（第7版）》&mdash;&mdash; 1&period;6 总结</a>
					<div>
						1.6 总结 如果您是首次接触面向对象编程,则本章的内容太理论化,您可能一时无法理解. 当您的头脑中满是OOP概念和术语时,可能担心无法消化余下的关于Java的20章内容. 不要烦恼.保持冷静,继续向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXADOz.html" rel="bookmark" class="title">桌面虚拟化推进医疗信息化建设</a>
					<div>
						本文讲的是桌面虚拟化推进医疗信息化建设,随着信息技术和网络技术的高速发展,医院对医疗信息系统的依赖越来越强,对IT技术的使用也越来越广泛,信息化建设已成为当前医院发展的主要内容之一,&quot;医院信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7eRdp.html" rel="bookmark" class="title">SaaS模式对决传统软件 开启中国在线软件时代</a>
					<div>
						本文讲的是SaaS模式对决传统软件 开启中国在线软件时代,[IT168 资讯]2009年,传统软件与SaaS模式的在线软件之间的对决似乎已经达到了白热化的程度.SaaS行业的井喷时代在2009年已经开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPAP3p.html" rel="bookmark" class="title">马红漫：弗里德曼奈何不了虚拟货币</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 11月16日,&quot;货币主义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NKKdp.html" rel="bookmark" class="title">淘宝不如淘房 80万以下市区二手房源随你挑</a>
					<div>
						Nhttp://www.aliyun.com/zixun/aggregation/79250.html&quot;&gt;本报记者 邱岩 海都房网二手房组 淘宝,淘尽天下可淘之宝,临近春节,不少商家在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQa3Y0b.html" rel="bookmark" class="title">python代码风格检查工具&HorizontalLine;&HorizontalLine;pylint</a>
					<div>
						pylint是一个python代码检查工具,可以帮助python程序员方便地检查程序代码的语法和风格,通过这个工具,可以使你的python代码尽量保持完美,哈哈.具体可以检查什么东西呢?比如你写了 f ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
